package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkCouponSpreadApplyRequest struct {
	/*
	   参数对象     */
	ParamWdkCouponApplyParam *domain.AlibabaWdkCouponSpreadApplyWdkCouponApplyParam `json:"param_wdk_coupon_apply_param,omitempty" required:"false" `
}

func (s *AlibabaWdkCouponSpreadApplyRequest) SetParamWdkCouponApplyParam(v domain.AlibabaWdkCouponSpreadApplyWdkCouponApplyParam) *AlibabaWdkCouponSpreadApplyRequest {
	s.ParamWdkCouponApplyParam = &v
	return s
}

func (req *AlibabaWdkCouponSpreadApplyRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ParamWdkCouponApplyParam != nil {
		paramMap["param_wdk_coupon_apply_param"] = util.ConvertStruct(*req.ParamWdkCouponApplyParam)
	}
	return paramMap
}

func (req *AlibabaWdkCouponSpreadApplyRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
